"
 COPYRIGHT (c) 2006 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libtool' }"

LibraryDefinition subclass:#stx_libtool
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!

!stx_libtool class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2006 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    Build- and package information for creation of the st/x standard library: stx_libtool.
    This library contains developer tools.
"
! !

!stx_libtool class methodsFor:'accessing - hg'!

hgRemoveContainesForDeletedClasses
    "If true, then containers for removed classes are __AUTOMATICALLY__ removed from the
     repositoru. If false, obsolete containes are kept.

     Default is true (remove obsolete containers) but if the repository is mirror of CVS and
     you want to merge back to CVS at some point, you may want to return false to avoid deletions
     of obsolete files. Usefull when branching off an old CVS repo with loads of mess."

    ^false "default"

    "Created: / 02-09-2013 / 09:47:24 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!stx_libtool class methodsFor:'description'!

excludedFromPreRequisites
    "list all packages which should be ignored in the automatic
     preRequisites scan. See #preRequisites for more."

    ^ #(
        #'exept:expecco'    "Expecco::ExpeccoNetAPI - referenced by AbstractLauncherApplication>>bugReporterAvailable "
        #'exept:httpPortal'    "WebApplicationModel - referenced by Tools::NewSystemBrowser>>classMenuNewWebApplication "
        #'exept:osi/asn1'    "OSI::ASN1Browser - referenced by FileBrowser>>openASN1Browser "
        #'stx:libwebkit'    "WebKitView - referenced by Tools::WebBrowserPage>>webKitView "
        #'stx:libsvn'
        #'exept:CC'    "CBrowser::Browser - referenced by AbstractFileBrowser>>openCBrowser "
        #'exept:xml/inspector'    "XML::XMLInspector - referenced by AbstractFileBrowser>>inspectXmlFile "
        #'stx:clients/Demos'    "ClassTreeGraphView - referenced by Tools::NewSystemBrowser>>updateSpecialCodeEditorVisibilityForClass:method: "
        #'stx:clients/MailTool'    "SendMailTool - referenced by Tools::NewSystemBrowser>>sendFileViaEmail:subject: "
        #'stx:clients/Tools'    "ZipTool - referenced by AbstractFileBrowser>>openZipTool "
        #'stx:goodies/communication'    "SmalltalkShareClient - referenced by AbstractLauncherApplication>>remoteImageBrowserAvailable "
        #'stx:goodies/monticello'    "MCInteractiveLoadingQuery - referenced by Tools::ChangeSetBrowser2>>changeMenuApplyChange: "
        #'stx:goodies/rdoit'    "RDoItServer - referenced by AbstractLauncherApplication::LauncherDialogs class>>communicationsSettings "
        #'stx:goodies/refactoryBrowser/browser'    "CategoryEnvironment - referenced by Tools::NewSystemBrowser>>selectedCategoriesAsEnvironment "
        #'stx:goodies/refactoryBrowser/changes'    "RefactoryChangeManager - referenced by Tools::NewSystemBrowser>>hasUndoableOperations "
        #'stx:goodies/refactoryBrowser/helpers'    "BrowserEnvironment - referenced by Tools::NewSystemBrowser>>selectedSelectorsAsEnvironment "
        #'stx:goodies/refactoryBrowser/lint'    "SmalllintChecker - referenced by Tools::NewSystemBrowser>>smalllintRunRule:onEnvironment: "
        #'stx:goodies/refactoryBrowser/refactoring'    "InlineMethodRefactoring - referenced by Tools::NewSystemBrowser>>codeMenuInlineMessage "
        #'stx:goodies/sif'    "SmalltalkInterchangeSTXFileOutManager - referenced by Tools::NewSystemBrowser>>projectMenuFileOutAsWithFormat: "
        #'stx:goodies/simpleServices'    "STXScriptingServer - referenced by AbstractSettingsApplication::RDoItServerSettingsAppl>>scriptingServerPortOrPath "
        #'stx:goodies/soap'    "SOAP::SoapHttpModule - referenced by AbstractLauncherApplication::LauncherDialogs class>>communicationsSettings "
        #'stx:goodies/soap/examples'    "SOAP::BabelFishClient - referenced by WorkspaceApplication>>babelFishTranslate: "
        #'stx:goodies/sunit'    "TestCase - referenced by Tools::NewSystemBrowser>>classTemplateFor:in:asNamespace:private:metaClassUsed: "
        #'stx:goodies/webServer'    "FCGIServer - referenced by AbstractSettingsApplication::HTTPStartServerSettingsApplication>>createFcgiServer "
        #'stx:goodies/webServer/ui'    "HTTPServerSettingsAppl - referenced by AbstractSettingsApplication::HTTPStartServerSettingsApplication>>createServerApplicationFor: "
        #'stx:goodies/xml/stx'    "XMLCoder - referenced by Tools::NewSystemBrowser>>selectorMenuFileOutXMLAs "
        #'stx:goodies/xml/vw'    "XML::XMLParser - referenced by ChangesBrowser class>>readXMLChangesFrom:inBackground: "
        #'stx:libdb'    "SQL::SQLError - referenced by StoreSourceCodeManagementSettingsAppl>>tryToConnectTo: "
        #'stx:libhtml'    "DidYouKnowTipViewer - referenced by AbstractLauncherApplication>>showTipOfTheDay "
        #'stx:libjava'    "JavaClassReader - referenced by AbstractFileBrowser>>singleFileFileIn:lazy: "
        #'stx:libjava/experiments'    "JavaCompiler - referenced by BrowserView>>setAcceptActionForNewJavaClass "
        #'stx:libjavascript'    "STXJavaScriptLanguage - referenced by Tools::NewSystemBrowser>>classOtherClassNewSlice "
        #'stx:libtool2'    "HierarchicalListEditor - referenced by SystemBrowser class>>resourceEditorClassFor: "
        #'stx:libboss'    "BinaryOutputManager - referenced by Tools::Profiler>>storeStatisticsOn: "
    )

    "Modified: / 06-07-2011 / 16:16:13 / jv"
    "Modified: / 26-07-2011 / 10:59:37 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

mandatoryPreRequisites
    "list all required mandatory packages.
     Packages are mandatory, if they contain superclasses of the package's classes
     or classes which are extended by this package.
     This list can be maintained manually or (better) generated and
     updated by scanning the superclass hierarchies
     (the browser has a menu function for that)"

    ^ #(
        #'stx:goodies/refactoryBrowser/parser'    "RBProgramNodeVisitor - superclass of CodeGenerator "
        #'stx:libbasic'    "AbstractTime - extended "
        #'stx:libbasic2'    "Iterator - extended "
        #'stx:libbasic3'    "Change - extended "
        #'stx:libcomp'    "AbstractSyntaxHighlighter - extended "
        #'stx:libui'    "ComponentSpec - superclass of EditFieldWithCompletionSpec "
        #'stx:libview'    "Color - extended "
        #'stx:libview2'    "ApplicationModel - superclass of AbstractDirectoryBrowser "
        #'stx:libwidg'    "Button - superclass of ViewWithAcceptAndCancelBar::AcceptAndCancelBar::ButtonWithHelpText "
        #'stx:libwidg2'    "ComboBoxView - superclass of FilenameEditFieldV2 "
    )
!

preRequisites
    "list all required packages.
     This list can be maintained manually or (better) generated and
     updated by scanning the superclass hierarchies and looking for
     global variable accesses. (the browser has a menu function for that)
     Howevery, often too much is found, and you may want to explicitely
     exclude individual packages in the #excludedFromPrerequisites method."

    ^ #(
	#'stx:goodies/sunit'    "TestResult - referenced by Tools::TestRunner2>>debugError: "
	#'stx:libbasic'    "IdentityDictionary - superclass of extended UserPreferences "
	#'stx:libbasic2'    "List - superclass of DirectoryTreeBrowser::DirTreeBrowserHFL "
	#'stx:libbasic3'    "MessageTally - superclass of Tools::Profiler "
	#'stx:libboss'    "BinaryInputManager - referenced by Tools::Profiler class>>readStatisticsFrom: "
	#'stx:libcomp'    "Parser - superclass of SyntaxHighlighter2 "
	#'stx:libhtml'    "HTMLDocumentView - referenced by FileBrowser>>openHTMLDocument: "
	#'stx:libui'    "ViewWithSubcomponentsSpec - superclass of FileBrowserV2UISpecifications::PanelSpec "
	#'stx:libview'    "DisplaySurface - superclass of InspectorView "
	#'stx:libview2'    "Model - superclass of AbstractFileBrowser "
	#'stx:libwidg'    "Label - superclass of ViewWithAcceptAndCancelBar::AcceptAndCancelBar::ButtonWithHelpText "
	#'stx:libwidg2'    "HierarchicalItem - superclass of Tools::ChangeList::ListEntry "
    )

    "Modified: / 27-02-2013 / 12:18:55 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

referencedPreRequisites
    "list all packages containing classes referenced by the packages's members.
     This list can be maintained manually or (better) generated and
     updated by looking for global variable accesses
     (the browser has a menu function for that)
     However, often too much is found, and you may want to explicitely
     exclude individual packages in the #excludedFromPreRequisites method."

    ^ #(
        #'exept:technologyBridge/dotNetBridge'    "DOTNET::DotNet - referenced by AbstractSettingsApplication::MiscCommunicationSettingsAppl>>closeAllDotNetConnections "
        #'exept:vncViewer'    "VNCAuthenticationFailure - referenced by FileApplicationNoteBook::XViewApplication>>startVNCserver "
        #'stx:libwidg3'    "ClockView - referenced by WorkspaceApplication>>addStopWatch "
    )
!

subProjects
    "list packages which are known as subprojects.
     The generated makefile will enter those and make there as well.
     However: they are not forced to be loaded when a package is loaded;
     for those, redefine requiredPrerequisites"

    ^ #(
    )
! !

!stx_libtool class methodsFor:'description - compilation'!

additionalBaseAddressDefinition_bc_dot_mak
    "this is an optional definition, which (if present) may speed up the dll-loading a little
     on win32 systems."

    ^ '
# see stdHeader_bc for LIBTOOL_BASE
LIB_BASE=$(LIBTOOL_BASE)
'
! !

!stx_libtool class methodsFor:'description - contents'!

classNamesAndAttributes
    "lists the classes which are to be included in the project.
     Each entry in the list may be: a single class-name (symbol),
     or an array-literal consisting of class name and attributes.
     Attributes are: #autoload or #<os> where os is one of win32, unix,..."

    ^ #(
        "<className> or (<className> attributes...) in load order"
        AboutBox
        AbstractFileApplicationNoteBookComponent
        AbstractFileBrowser
        AbstractLauncherApplication
        AbstractSettingsApplication
        (AbstractVersionDiffBrowserItem autoload)
        (ApplicationBuilder autoload)
        Bookmark
        BookmarkBar
        BookmarkEditor
        BookmarkList
        BookmarkListEditor
        BookmarkVisitor
        BookmarksEditDialog
        BrowserView
        ChangesBrowser
        (ClassNameItem autoload)
        (ClassRevisionTree autoload)
        CodeCompletionHelpMenuView
        CodeCompletionHelpView
        CodeGenerator
        (CodeGeneratorTests autoload)
        CodeGeneratorTool
        DebugView
        Diff
        Diff2
        Diff3
        Diff3Hunk
        Diff3InclusiveVisitor
        (Diff3TextView autoload)
        DiffListUtility
        DiffTextView
        (EWorldIconLibrary autoload)
        EditFieldWithCompletion
        EditFieldWithCompletionSpec
        (EventMonitor autoload)
        FileBrowser
        FileBrowserV2PanelView
        (FileBrowserV2SettingsDialog autoload)
        (FileBrowserV2Tests autoload)
        FileBrowserV2UISpecifications
        FileDialog
        (FileDialogV2 autoload)
        FileOperation
        FilenameEditFieldV2
        (HierarchicalClassRevisionList autoload)
        (HierarchicalVersionDiffBrowser autoload)
        InspectorView
        MemoryMonitor
        MemoryMonitorView
        (MemoryUsageView autoload)
        MultiViewToolApplication
        (NewChangesBrowser autoload)
        (OldLauncher autoload)
        ParseTreeIndex
        PerforceSourceCodeManagerUtilities
        ProcessMonitorV2
        (ProjectView autoload)
        (RCSConflictEditTextView autoload)
        SyntaxElement
        SyntaxHighlighter2
        SystemBrowser
        (SystemStatusMonitor autoload)
        (TextDiffTests autoload)
        #'Tools::AbstractTestRunner'
        #'Tools::BreakpointBrowser'
        #'Tools::Browslet'
        #'Tools::BrowsletCanvas'
        #'Tools::CachedTags'
        #'Tools::ChangeSetBrowser2'
        #'Tools::ChangeSetDiffInfo'
        #'Tools::ChangeSetDiffTool'
        #'Tools::ChangeSetSelectionDialog'
        #'Tools::ChangeSetSpec'
        #'Tools::CheckinInfoDialog'
        #'Tools::ClassChecker'
        #'Tools::ClassSorter'
        #'Tools::CodeCompletionMenu'
        #'Tools::CodeCritics'
        #'Tools::CodeView2'
        (#'Tools::CodeView2DemoApp' autoload)
        #'Tools::CodeViewService'
        #'Tools::DiffCodeView2'
        (#'Tools::DiffCodeView2DemoApp' autoload)
        #'Tools::HierarchicalChangesetDialog'
        #'Tools::InlineMessageDialog'
        #'Tools::Inspector2'
        #'Tools::Inspector2Tab'
        #'Tools::LintAnnotation'
        #'Tools::LintHighlighter'
        #'Tools::LintRuleDetail'
        #'Tools::LintRuleEditDialog'
        #'Tools::LintRuleSelectionDialog'
        #'Tools::MethodCategoryCache'
        #'Tools::MethodRewriter'
        #'Tools::NavigationHistory'
        (#'Tools::NavigationHistoryTests' autoload)
        #'Tools::NavigationState'
        #'Tools::NavigatorModel'
        #'Tools::NewClassWizardDialog'
        #'Tools::NewSystemBrowserCodeView'
        #'Tools::Profiler'
        #'Tools::ProfilerInfoBuilder'
        #'Tools::ProfilerInfoItem'
        #'Tools::ProjectCheckerBrowser'
        #'Tools::ProjectLoader'
        #'Tools::SearchDialog'
        #'Tools::SmalltalkDiffTool'
        #'Tools::SourceCodeManagerConfigurationTestTool'
        #'Tools::SpecialCodeView'
        #'Tools::StringSearchTool'
        #'Tools::Tag'
        #'Tools::TagList'
        #'Tools::TagsBrowser'
        #'Tools::TextDiffTool'
        #'Tools::TextMergeInfo'
        (#'Tools::ToDoList' autoload)
        (#'Tools::ToDoListBrowser' autoload)
        (#'Tools::ToDoListEntry' autoload)
        (#'Tools::ToDoNotification' autoload)
        #'Tools::Toolbox'
        #'Tools::WebBrowserPage'
        VersionDiffBrowser
        ViewWithAcceptAndCancelBar
        Win32FileDialog
        (XTermView unix)
        #'stx_libtool'
        AbstractDirectoryBrowser
        AbstractFileFinderApplicationComponent
        (AbstractRevisionItem autoload)
        AbstractSourceCodeManagementSettingsAppl
        BookmarkMenuBuilder
        (ChangeSetBrowser autoload)
        (ClassItem autoload)
        (ClassItemRoot autoload)
        (ColorInspectorView autoload)
        ContextInspectorView
        DictionaryInspectorView
        Diff3ExclusiveVisitor
        DiffCodeView
        FileApplicationNoteBook
        FileBrowserV2
        FileBrowserV2SettingsAppl
        FileDialogWithPreview
        ImageInspectorView
        (Launcher autoload)
        (LibraryBuilder autoload)
        NewLauncher
        OrderedCollectionInspectorView
        (ProcessMonitor autoload)
        (SemaphoreMonitor autoload)
        SetInspectorView
        SettingsDialog
        SmalltalkCodeGeneratorTool
        SyntaxElementVariable
        (TerminalApplication autoload)
        #'Tools::BackgroundSourceProcessingService'
        #'Tools::BreakpointService'
        #'Tools::BrowserList'
        #'Tools::CodeCompletionService'
        #'Tools::CodeNavigationService'
        #'Tools::CodeView2SettingsAppl'
        (#'Tools::CompilerWarningToDoListEntry' autoload)
        #'Tools::Diff2CodeView2'
        #'Tools::Diff3CodeView2'
        #'Tools::LintRuleSettingsApplication'
        #'Tools::LintService'
        #'Tools::NavigatorCanvas'
        #'Tools::NewSystemBrowser'
        #'Tools::OrganizerCanvas'
        #'Tools::SendersBrowslet'
        (#'Tools::SmalltalkMergeTool' autoload)
        #'Tools::StringSearchToolForTextView'
        #'Tools::TestRunnerEmbedded'
        #'Tools::TextDiff2Tool'
        #'Tools::TextDiff3Tool'
        #'Tools::VisualProfilerCanvas'
        WorkspaceApplication
        BookmarkAddMenuBuilder
        BookmarkToolbarMenuBuilder
        CVSSourceCodeManagementSettingsAppl
        (ClassItemRootForRevision autoload)
        DataBaseSourceCodeManagementSettingsAppl
        DirectoryContentsBrowser
        DirectoryDifferenceViewApplication
        DirectoryTreeBrowser
        (ExpandableRevisionItem autoload)
        FileBasedSourceCodeManagementSettingsAppl
        FindFileApplication
        GitSourceCodeManagementSettingsAppl
        MercurialSourceCodeManagementSettingsAppl
        PerforceSourceCodeManagementSettingsAppl
        (SmalltalkInspectorView autoload)
        (SourceRevisionItem autoload)
        StoreSourceCodeManagementSettingsAppl
        #'Tools::BrowserListWithFilter'
        #'Tools::ClassCategoryList'
        #'Tools::ClassGeneratorList'
        #'Tools::ClassList'
        #'Tools::CodeHighlightingService'
        #'Tools::LintRuleList'
        #'Tools::MethodCategoryList'
        #'Tools::MethodList'
        #'Tools::NamespaceList'
        #'Tools::ProjectList'
        #'Tools::VariableList'
        (VersionRevisionItem autoload)
        (ClassVariablesInspectorView autoload)
        #'Tools::ChangeList'
        #'Tools::ChangeSetDiffList'
        #'Tools::FullMethodCategoryList'
        #'Tools::HierarchicalClassCategoryList'
        #'Tools::HierarchicalClassList'
        #'Tools::HierarchicalLintRuleList'
        #'Tools::HierarchicalProjectList'
        #'Tools::ImplementingClassList'
        #'Tools::ImplementingMethodList'
        #'Tools::NamespaceFilter'
        #'Tools::TestRunner2'
        #'Tools::HierarchicalChangeList'
        #'Tools::HierarchicalPackageFilterList'
        #'Tools::InheritanceClassList'
        ClassInspectorView
    )
!

extensionMethodNames
    "lists the extension methods which are to be included in the project.
     Entries are 2-element array literals, consisting of class-name and selector."

    ^ #(
        Breakpoint icon
        BreakpointDescription icon
        ByteArray inspectorExtraAttributes
        Change flattenOnto:
        Change flattenedChanges
        Change removed
        Change removed:
        ChangeSet condenseChangesForRemoved
        Character inspectorExtraAttributes
        CharacterArray inspector2TabBytes
        CharacterArray inspector2TabText
        CharacterArray inspector2Tabs
        CharacterArray inspectorExtraAttributes
        Color inspectorClass
        Color inspectorExtraAttributes
        CompositeChange condenseChangesForRemoved
        CompositeChange flattenOnto:
        CompositeChange removed
        CompositeChange removed:
        Date inspectorExtraAttributes
        Dictionary inspector2TabLabel
        Dictionary inspectorClass
        EditTextView absoluteXOfPosition:
        EditTextView absoluteYOfCursor
        EditTextView xOfPosition:
        EditTextView yOfCursor
        EditTextView yOfPosition:
        ExecutableFunction printStringForBrowserWithSelector:
        Form inspectorClass
        Image inspectorClass
        Integer inspectorExtraAttributes
        MenuView shortKeys
        Method inspectorExtraAttributes
        Method printStringForBrowserWithSelector:inClass:
        Method selectorPrintStringInBrowserFor:
        Method selectorPrintStringInBrowserFor:class:
        MethodDictionary inspectorClass
        Object inspect
        Object inspector2TabCommon
        Object inspector2TabForBasicInspect
        Object inspector2TabForInspectorClass
        Object inspector2TabLabel
        Object inspector2Tabs
        Object inspectorExtraAttributes
        Object isTestCaseLike
        Object newInspector2Tab
        OrderedCollection inspectorClass
        PopUpMenu asMenu
        ProfileTree method
        ProfileTree package
        RunArray inspectorClass
        SelectionInListModelView textStartLeft
        SelectionInListModelView textStartLeft:
        Set inspectorClass
        SimpleView isCodeView2
        StringCollection inspector2TabText
        StringCollection inspector2Tabs
        Symbol formattedCode
        Text inspector2TabText
        Text inspectorExtraAttributes
        Timestamp inspectorExtraAttributes
        UserPreferences alwaysOpenNewTabWhenCtrlClick
        UserPreferences alwaysOpenNewTabWhenCtrlClick:
        UserPreferences showBookmarkBar
        UserPreferences showBookmarkBar:
        UserPreferences showEmbeddedTestRunnerInBrowser
        UserPreferences showEmbeddedTestRunnerInBrowser:
        UserPreferences showGlobalHistory
        UserPreferences showGlobalHistory:
        UserPreferences showLocalHistory
        UserPreferences showLocalHistory:
        UserPreferences showMethodTemplate
        UserPreferences showMethodTemplate:
        UserPreferences sortAndIndentClassesByInheritance
        UserPreferences sortAndIndentClassesByInheritance:
        UserPreferences useCodeView2In:
        UserPreferences useCodeView2InBrowser
        UserPreferences useCodeView2InBrowser:
        UserPreferences useCodeView2InDebugger
        UserPreferences useCodeView2InDebugger:
        UserPreferences useCodeView2InTools
        UserPreferences useCodeView2InTools:
        UserPreferences useCodeView2InWorkspace
        UserPreferences useCodeView2InWorkspace:
        UserPreferences webBrowserLikeLayout
        UserPreferences webBrowserLikeLayout:
        'AbstractSyntaxHighlighter class' formatExpression:in:elementsInto:
        'AbstractSyntaxHighlighter class' formatMethod:in:using:elementsInto:
        'GenericToolbarIconLibrary class' bookmarks22x22
        'GenericToolbarIconLibrary class' bug16x16Icon
        'GenericToolbarIconLibrary class' bug24x24Icon
        'GenericToolbarIconLibrary class' bug32x32Icon
        'GenericToolbarIconLibrary class' lint16x16Icon
        'GenericToolbarIconLibrary class' lint24x24Icon
        'GenericToolbarIconLibrary class' lint32x32Icon
        'NameSpace class' inspectorClass
        Block inspectorExtraAttributes
        CharacterArray inspector2TabHTML
        Image inspector2TabImage
        Image inspector2Tabs
        UserPreferences codeView2AutoIndent
        UserPreferences codeView2AutoIndent:
        UserPreferences codeView2ShowAcceptCancel
        UserPreferences codeView2ShowAcceptCancel:
        UserPreferences sourceCodeManagementMenuLayout
        UserPreferences sourceCodeManagementMenuLayout:
        UserPreferences useInPlaceSearchInBrowserLists
        UserPreferences useInPlaceSearchInBrowserLists:
        'GenericToolbarIconLibrary class' smalllintWarning16x16
        'GenericToolbarIconLibrary class' versionMerged24x24
        ArrayedCollection inspector2TabForHexDump
        LimitedPrecisionReal inspectorExtraAttributes
        UninterpretedBytes inspector2Tabs
        UserPreferences changesBrowserClassName
        UserPreferences fileBrowserClass
        UserPreferences fileBrowserClass:
        UserPreferences fileBrowserClassName
        UserPreferences confirmRefactorings
        UserPreferences confirmRefactorings:
        Character inspectorValueStringInListFor:
        CharacterArray inspectorValueStringInListFor:
        Color inspectorValueStringInListFor:
        Object inspectorValueStringInListFor:
        Symbol inspectorValueStringInListFor:
        UndefinedObject inspectorValueStringInListFor:
        Behavior inspectorExtraAttributes
        Behavior inspectorValueStringInListFor:
        Collection inspectorValueStringInListFor:
        Iterator inspectorValueStringInListFor:
        Class inspectorClass
        'Smalltalk class' inspectorClass
        ChangeSet flattenOnto:
        ChangeSet flattenedChanges
        ChangeSet inspector2TabBrowser
        ChangeSet inspector2Tabs
        ProgrammingLanguage toolbox
        ProgrammingLanguage toolboxClass
        Timestamp inspectorValueStringInListFor:
        UUID inspectorValueStringInListFor:
        Boolean inspectorValueStringInListFor:
        Point inspectorValueStringInListFor:
        Rectangle inspectorValueStringInListFor:
        ProgrammingLanguage toolbox
        ProgrammingLanguage toolboxClass
        'Autoload class' inspectorExtraAttributes
        ProgrammingLanguage displayString
    )
! !

!stx_libtool class methodsFor:'description - project information'!

applicationIconFileName
    "Return the name (without suffix) of an icon-file (the app's icon); will be included in the rc-resource file"

    ^ nil
    "/ ^ self applicationName
!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in nt.def / bc.def"

    ^ 'Smalltalk/X Tools'
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright Claus Gittinger 1988-2012\nCopyright eXept Software AG 1998-2012'

    "Modified: / 18-07-2012 / 19:11:53 / cg"
!

productName
    "Return a product name which will appear in <lib>.rc"

    ^ 'Smalltalk/X'
! !

!stx_libtool class methodsFor:'description - svn'!

svnRepositoryUrlString
    "Return a SVN repository URL of myself.
     (Generated since 2011-04-08)
     Do not make the string shorter!!!!!! We have to use fixed-length keyword!!!!!!
    "

    ^ '$URL:: https://vranyj1@swing.fit.cvut.cz/svn/stx/libtool/branches/jv/stx_libtool.st                                           $'
!

svnRevisionNr
    "Return a SVN revision number of myself.
     This number is updated after a commit"

    ^ "$SVN-Revision:"'8088            '"$"
! !

!stx_libtool class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libtool/stx_libtool.st,v 1.101 2014-02-05 19:32:23 cg Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/libtool/stx_libtool.st,v 1.101 2014-02-05 19:32:23 cg Exp $'
! !

